#ifndef SHELL_H
#define SHELL_H
#include <typedefs.h>
#include <ahg.h>
#include <canvas.h>
#include <font.h>

/*Canvas*/
extern UIS_DIALOG_T     dialog;

void CanvasSetFillColor(UINT32 color); //   	
void CanvasSetFgColor(UINT32 color); //    , ...
void CanvasSetBgColor(UINT32 color); //    

void CanvasDrawLine( INT16 x1, INT16 y1, INT16 x2, INT16 y2 ); // 
void CanvasDrawRect( INT32 x, INT32 y, UINT32 x2, UINT32 y2 ); //  
void CanvasDrawRoundRect( INT32 x, INT32 y, UINT32 w, UINT32 h, UINT16 arcW, UINT16 arcH ); //   
void CanvasFillRect( INT32 x, INT32 y, UINT32 w, UINT32 h ); //   
void CanvasDrawArc( INT16 x, INT16 y, UINT16 r, UINT16 startAngle, UINT16 arcAngle, UINT8 fill ); //     	

void CanvasDrawText( WCHAR *str, UINT8 x, UINT8 y, UINT16 anchor );
void CanvasDrawDesktopImage( RESOURCE_ID DrmValue, INT32 x, INT32 y, UINT32 w, UINT32 h ); //    
void CanvasDrawDrmImage( RESOURCE_ID DrmValue, INT16 x, INT16 y, INT16 a_h, INT16 a_v );  //   
void CanvasDrawPathImage( WCHAR* PathValue, UINT8 x, UINT8 y, UINT8 a_h, UINT8 a_v ); //  

void CanvasDrawSoftKey( WCHAR *str, UINT8 type, BOOL pressed ); //   //UINT8 type 0 - menu, 1 - left, 2 - right 
void CanvasDrawTitleBar( WCHAR *title ); //
void CanvasDrawTitleBarWithIcon( WCHAR *title, RESOURCE_ID picture );  //  
void CanvasDrawScrollBar( UINT32 num, INT32 cur ); //

/*ATI*/

typedef struct
{
	COLOR_T				fg;  	//  
	COLOR_T				bg;	 	//  
	COLOR_T				brush;	//  
} COLORS_T; // 

extern COLORS_T 	colors;

void SetBrushColor( UINT32 color ); //   
void SetFgColor( UINT32 color ); //   
void SetBgColor( UINT32 color ); //   

void SetBrushColorRGB( UINT8 r, UINT8 g, UINT8 b ); // 
void SetFgColorRGB( UINT8 r, UINT8 g, UINT8 b ); //  
void SetBgColorRGB( UINT8 r, UINT8 g, UINT8 b ); //  

void DrawLine( INT16 x1, INT16 y1, INT16 x2, INT16 y2 ); 	// 
void FillRect( INT16 x, INT16 y, INT16 w, INT16 h ); 		//   
void DrawRect( INT16 x, INT16 y, INT16 w, INT16 h ); 		// 
void DrawGradientRect( INT16 x, INT16 y, INT16 w, INT16 h );//  c 

void DrawTextW(const WCHAR *str, INT16 x, INT16 y, BOOL opacity);
void DrawText( const char *str, INT16 x, INT16 y, BOOL opacity );//BOOL opacity 0 -   1 - 
void DrawChar( INT16 x, INT16 y, char c ); 						  // 
void DrawTextInFullDisplay( const char *str, INT16 x, INT16 y ); //    


UINT8 FontHeight( void ); // 
UINT8 FontWidth( void ); //  
UINT8 StringWidth( const char * text ); //  

UINT32 DrawBmpImage( const AHIBITMAP_T * bmp, AHIRECT_T * dstRect, INT32 x, INT32 y );

UINT32 DrawBmpImageFS( WCHAR* file, AHIRECT_T * dr, INT32 x, INT32 y );  //  BMP  
//UINT32 DrawPngImageFS( WCHAR* file, AHIRECT_T * dr, INT32 x, INT32 y );  //  PNG  


#endif